Package uk.ac.starlink.topcat

## Interface TypedListModel<T>

- All Superinterfaces:
    `javax.swing.ListModel`

      public interface TypedListModel<T>
      extends javax.swing.ListModel

  Extends the ListModel interface with a generic type. This interface doesn't (can't) enforce actual type safety in its implementations, it's mainly available as a marker to make the intention clear in method signatures.
  Since:
    9 May 2018
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getElementAt​(int index)` |

    - ### Methods inherited from interface javax.swing.ListModel

      `addListDataListener, getSize, removeListDataListener`

- - ### Method Detail

    - #### getElementAt

          T getElementAt​(int index)

      Specified by:
        `getElementAt` in interface `javax.swing.ListModel<T>`